<?php

class Residencia extends Conexion {
    /* =============================================
      ACTUALIZAR INFORMACION PERSONAL
      ============================================= */

    public function mdlInsertarActualizarResidencia($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql_verificar = "Select count(*) as total from residencia where res_personadbk = ?";
        $sql_verificar = $conectar->prepare($sql_verificar);
        $sql_verificar->bindValue(1, $datos["res_personadbk"]);
        $sql_verificar->execute();
        $res = $sql_verificar->fetchAll();
        if (is_array($res) == true and count($res) <> 0) {
            foreach ($res as $tot) {
                $total = $tot["total"];
            }
        }
        if ($total == 0) {
            $sql = "
                    INSERT INTO " . $datos["tabla"] . " 
                    (res_pais,
                    res_provincia,
                    res_canton,
                    res_parroquia,
                    res_barrio,
                    res_zona,
                    res_direccion,
                    res_telefono,
                    res_personadbk) 
                    VALUES(?,?,?,?,?,?,?,?,?);
                    ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["res_pais"]);
            if ($datos["res_pais"] == 56) {
                $sql->bindValue(2, $datos["res_provincia"]);
                $sql->bindValue(3, $datos["res_canton"]);
            } else {
                $sql->bindValue(2, $datos["res_provinciatxt"]);
                $sql->bindValue(3, $datos["res_cantontxt"]);
            }
            $sql->bindValue(4, $datos["res_parroquia"]);
            $sql->bindValue(5, $datos["res_barrio"]);
            $sql->bindValue(6, $datos["res_zona"]);
            $sql->bindValue(7, $datos["res_direccion"]);
            $sql->bindValue(8, $datos["res_telefono"]);
            $sql->bindValue(9, $datos["res_personadbk"]);
            $sql->execute();
            return $resultado = $sql->fetchAll();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . "  
                SET res_pais = ?,
                res_provincia = ?,
                res_canton = ?,
                res_parroquia = ?,
                res_barrio = ?,
                res_zona = ?,
                res_direccion = ?,
                res_telefono = ? 
                WHERE res_personadbk = ?";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["res_pais"]);
            if ($datos["res_pais"] == 56) {
                $sql->bindValue(2, $datos["res_provincia"]);
                $sql->bindValue(3, $datos["res_canton"]);
            } else {
                $sql->bindValue(2, $datos["res_provinciatxt"]);
                $sql->bindValue(3, $datos["res_cantontxt"]);
            }
            $sql->bindValue(4, $datos["res_parroquia"]);
            $sql->bindValue(5, $datos["res_barrio"]);
            $sql->bindValue(6, $datos["res_zona"]);
            $sql->bindValue(7, $datos["res_direccion"]);
            $sql->bindValue(8, $datos["res_telefono"]);
            $sql->bindValue(9, $datos["res_personadbk"]);
            $sql->execute();
            return $resultado = $sql->fetchAll();
        }
    }
    public function Total_Quito() {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT count(*) as quito FROM residencia WHERE  res_canton = 1701";
        $sql = $conectar->prepare($sql);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }  
    public function mdlConsultarRegistro($personadbk) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT count(*)as total FROM residencia WHERE res_personadbk = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $personadbk);
        $sql->execute();
        return $resultado = $sql->fetch();
    }      
}

?>